# ssdd

A simple Shutdown Dialog for Openbox written in C using GTK 

![Project Screenshot](ssdd.png)

## Why?

Been using Openbox many many years and loving it. One of the main issue I have with it is its incredibly simple Exit dialog. On a modern system, a better solution is needed.
I guess there are many programs such as this one out there, but one more doesn't hurt, does it?

Anyway, I just bought a new laptop and on my workstation I was using [ssd from Sawfish](https://github.com/SawfishWM/ssd) which I loved. I didn't want to go through all the steps of installing the necessary libraries and dependencies to get it to work, so I decided to create my own.

## Dependencies and compilation

This app requires GTK+ 3.0, Glib 2 development libraries and gcc or clang.

To compile this program you can use `make` after you've edited `Makefile` or use the pre-defined options to install ssdd to `/usr/local`. The `Makefile` is pretty self explanatory.

To compile everything:
`make all`

To clean up:
`make clean`

To install:
`sudo make install`

Or if you want, you can compile it directly and copy the binary to a location in your `PATH`.

Using GCC:
```shell
% gcc ssdd.c resources.c -o ssdd `pkg-config --cflags --libs gtk+-3.0`
```

Using Clang:
```shell
% clang ssdd.c resources.c -o ssdd `pkg-config --cflags --libs gtk+-3.0`
```

This produces the binary `ssdd` which you can place in your $PATH. I place mine in `~/bin`. You can strip it but it'll only save you a few kilobytes, so it's basically unnecessary...

## Configure Openbox to use it.

`% sudo nvim /etc/xdg/openbox/menu.xml`

Find the line with the standard Openbox Exit option and change it to

`<item label="Log Out"><action name="Execute"><execute>ssdd</execute></item>`

The reconfigure Openbox to use the new setting.

`% openbox --reconfigure`
